The Community Forums

Interact with an entire community of cPanel & WHM users!
  1. This site uses cookies. By continuing to use this site, you are agreeing to our use of cookies. Learn More.

EasyApache and PHP 4.4.6

Discussion in 'EasyApache' started by bsasninja, Mar 7, 2007.

  1. bsasninja

    bsasninja Well-Known Member

    Joined:
    Sep 2, 2004
    Messages:
    528
    Likes Received:
    0
    Trophy Points:
    16
    When will be available php 4.4.6 at easy apache?

    Thanks
     
  2. afonic

    afonic Registered

    Joined:
    Feb 22, 2006
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    I'd like to be informed on that as well. :)

    4.4.5 has a bug that prevents scripts that requires register_globals on to run and 4.4.4 is a less secure.
     
  3. Rooter

    Rooter Well-Known Member

    Joined:
    Apr 23, 2003
    Messages:
    146
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Houston, Texas, U.S.A.
    cPanel Access Level:
    Root Administrator
  4. afonic

    afonic Registered

    Joined:
    Feb 22, 2006
    Messages:
    4
    Likes Received:
    0
    Trophy Points:
    1
    Thanks for the heads up. :)
     
  5. fleksi

    fleksi Well-Known Member

    Joined:
    Sep 17, 2003
    Messages:
    125
    Likes Received:
    0
    Trophy Points:
    16
    PHP 4.4.6 is available now in the WHM/Apache Update.

    -FL-
     
  6. trunksw

    trunksw Registered

    Joined:
    Mar 9, 2007
    Messages:
    1
    Likes Received:
    0
    Trophy Points:
    1
    Sorry, but i dont know how to upgrade the php version. can you please explain how to do it.

    Sorry about my english is very bad.
     
  7. isputra

    isputra Well-Known Member

    Joined:
    May 3, 2003
    Messages:
    576
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Mbelitar
    Anyone already try the 4.4.6 version ?

    How it goes ?
     
  8. arhs

    arhs Well-Known Member

    Joined:
    Jul 4, 2003
    Messages:
    116
    Likes Received:
    0
    Trophy Points:
    16
    Upgraded six servers everything went well, no broken PHP scripts etc… :)
     
  9. dropby23

    dropby23 Well-Known Member

    Joined:
    Jan 16, 2005
    Messages:
    155
    Likes Received:
    0
    Trophy Points:
    16
  10. pjman

    pjman Well-Known Member

    Joined:
    Mar 22, 2003
    Messages:
    101
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    New York
    Local Exploits


    Those look to be local exploits only that I'm seeing. I know 4.4.4 has 3 remote exploits:

    http://secunia.com/advisories/24089/

    I would love to hear from anyone who upgraded to 4.4.6, how's it going?
     
  11. ahostli

    ahostli Active Member

    Joined:
    May 28, 2006
    Messages:
    40
    Likes Received:
    0
    Trophy Points:
    6
    Well, I wasnt that lucky - SuSE 10.0
    Everything compiled fine - but apache didnt start and there wasnt any output from running php -v . Tried to recompile with 4.4.4 again - still couldnt start apache but php -v was working.
    After examining logs, ive noticed that something was wrong with mode_security, so Ive removed this module via WHM "Addon modules" and recompiled Apache with PHP 4.4.4 and it worked.
    Then Ive tried to add mod_security again - Apache wouldnt start and error log:

    [Sun Mar 11 19:00:03 2007] [notice] mod_security/1.9.1 configured
    [Sun Mar 11 19:00:03 2007] [warn] pid file /usr/local/apache/logs/httpd.pid overwritten -- Unclean shutdown of previous Apach$
    semget: No space left on device

    Ive removed mod_security and Apache works fine.

    Maybe someone have any ideas what could be wrong?

    P.S. There is plenty of space.
     
  12. katmai

    katmai Well-Known Member

    Joined:
    Mar 13, 2006
    Messages:
    526
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Brno, Czech Republic
    you ran out of semaphores.

    try:

    stop apache.

    do either:

    for i in `ipcs -s | grep nobody | awk '{print $2}'`; do ipcrm -s $i; done


    or :

    ipcs | awk '/^0x000000/ && /nobody/ {print $2}' | xargs -n1 ipcrm -s


    recompile with php 4.4.6

    start apache.

    all should be working.
     
  13. verdon

    verdon Well-Known Member

    Joined:
    Nov 1, 2003
    Messages:
    836
    Likes Received:
    2
    Trophy Points:
    18
    Location:
    Northern Ontario, Canada
    cPanel Access Level:
    Root Administrator
    Hi :)
    Could you explain those a bit for the curious?
    TIA
     
  14. bsasninja

    bsasninja Well-Known Member

    Joined:
    Sep 2, 2004
    Messages:
    528
    Likes Received:
    0
    Trophy Points:
    16
    Im running Centos 4.4 with WHM 10.8.0 cPanel 10.9.0-R139

    Anyone has succeded in setup php 4.4.6 with this specs?
     
  15. katmai

    katmai Well-Known Member

    Joined:
    Mar 13, 2006
    Messages:
    526
    Likes Received:
    0
    Trophy Points:
    16
    Location:
    Brno, Czech Republic
    i run centos 4.4 on the edge build.

    root@nemesis [~]# php -v
    PHP 4.4.6 (cli) (built: Mar 12 2007 08:50:57)
    Copyright (c) 1997-2007 The PHP Group
    Zend Engine v1.3.0, Copyright (c) 1998-2004 Zend Technologies
    with eAccelerator v0.9.5, Copyright (c) 2004-2006 eAccelerator, by eAccelerator
    with Zend Extension Manager v1.2.0, Copyright (c) 2003-2006, by Zend Technologies
    with Suhosin v0.9.18, Copyright (c) 2002-2006, by Hardened-PHP Project
    with Zend Optimizer v3.2.2, Copyright (c) 1998-2006, by Zend Technologies


    flawless.
     
  16. bsasninja

    bsasninja Well-Known Member

    Joined:
    Sep 2, 2004
    Messages:
    528
    Likes Received:
    0
    Trophy Points:
    16
  17. Rooter

    Rooter Well-Known Member

    Joined:
    Apr 23, 2003
    Messages:
    146
    Likes Received:
    1
    Trophy Points:
    18
    Location:
    Houston, Texas, U.S.A.
    cPanel Access Level:
    Root Administrator
  18. AndyReed

    AndyReed Well-Known Member
    PartnerNOC

    Joined:
    May 29, 2004
    Messages:
    2,222
    Likes Received:
    3
    Trophy Points:
    38
    Location:
    Minneapolis, MN
    To get the cPanel script installzendopt download and install the version you need, do the following, using your favorite Linux editor such as vi or pico, change this directive from:
    Code:
    my $ver = '3.0.1';
    to:
    Code:
    [B]my $ver = '3.2.0';[/B]
    Save and run the script:
    /scripts/installzendopt
     
Loading...

Share This Page